LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices

Reply
 
Search this Thread
Old 09-12-2010, 10:11 PM   #1
mark_alfred
Senior Member
 
Registered: Jul 2003
Location: Toronto, Ontario, Canada
Distribution: Ubuntu Linux
Posts: 1,062

Rep: Reputation: 101Reputation: 101
trying to install the plug-in Gtkhtml2Viewer in claws-mail


Hello. I'm trying to install the plug-in Gtkhtml2Viewer on my Debian Lenny system for claws-mail. I have installed claws-mail 3.7.5 from backports. When I try to install the plug-in, I get the following response:
Code:
mark@debian:~/stuff/debs/source/gtkhtml2_viewer-0.27$ ./configure
[..]
checking for GNU gettext in libc... yes
checking whether to use NLS... yes
checking where the gettext function comes from... libc
checking for pkg-config... /usr/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for CLAWS_MAIL... configure: error: Package requirements (claws-mail >= 3.4.0.1) were not met:

No package 'claws-mail' found

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables CLAWS_MAIL_CFLAGS
and CLAWS_MAIL_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

mark@debian:~/stuff/debs/source/gtkhtml2_viewer-0.27$
Since I have version 3.7.5, I would think that the above cited requirement of "claws-mail >= 3.4.0.1" would be met. However, for some reason, it states that "No package 'claws-mail' found", which is strange. If anyone has any idea how to fix this, I would appreciate it.
 
Old 09-13-2010, 01:55 AM   #2
szamot83
LQ Newbie
 
Registered: Jul 2008
Location: Poland
Distribution: Debian Lenny
Posts: 8

Rep: Reputation: Disabled
Hello,
Try to install package libclaws-mail-dev.
 
1 members found this post helpful.
Old 09-13-2010, 10:17 AM   #3
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen, DK
Distribution: pclos2014.08, Slack14.1 DebWheezy, +50+ other Linux OS, for test only.
Posts: 14,157

Rep: Reputation: 2643Reputation: 2643Reputation: 2643Reputation: 2643Reputation: 2643Reputation: 2643Reputation: 2643Reputation: 2643Reputation: 2643Reputation: 2643Reputation: 2643
Quote:
.. "No package 'claws-mail' found", which is strange.
Not strange: "package claws-mail" means /usr/lib/pkgconfig/claws-mail.pc

I.e. claws-mail.pc = "claws-mail package config file".

Solution : See post # 2 , @szamot83.
..
 
1 members found this post helpful.
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] trying to install the plug-in vcalendar in claws-mail mark_alfred Linux - Software 1 09-12-2010 09:13 PM
LXer: Claws Mail: Mail with Attitude LXer Syndicated Linux News 0 03-20-2010 02:31 AM
Changing MH folder in Claws mail Berticus Linux - Software 5 05-18-2008 08:18 PM
How to install Claws Mail Steve900 Linux - Software 3 03-09-2007 08:20 AM
LXer: How to Install Claws mail (Mail Client) in Ubuntu LXer Syndicated Linux News 0 03-06-2007 05:01 PM


All times are GMT -5. The time now is 02:16 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration